Page MenuHomePhabricator

Avoid holding many open DB connections when saving SecurePoll edits
Closed, ResolvedPublic

Description

It has been decided that the small risk of inconsistent data due to individual jump-wiki updates failing is worth avoiding breaking the DBs by opening hundreds of connections.

https://gerrit.wikimedia.org/r/#/c/178541/

Details

Related Gerrit Patches:
mediawiki/extensions/SecurePoll : masterAvoid holding many open DB connections

Event Timeline

Anomie created this task.Dec 9 2014, 5:24 PM
Anomie claimed this task.
Anomie raised the priority of this task from to Needs Triage.
Anomie updated the task description. (Show Details)
Anomie moved this task to Needs Review/Feedback on the MediaWiki-Core-Team board.
Anomie changed Security from none to None.
Anomie added a subscriber: Anomie.

Change 178541 had a related patch set uploaded (by Anomie):
Avoid holding many open DB connections

https://gerrit.wikimedia.org/r/178541

Patch-For-Review

Change 178541 merged by jenkins-bot:
Avoid holding many open DB connections

https://gerrit.wikimedia.org/r/178541

Anomie closed this task as Resolved.Dec 12 2014, 3:53 PM
Anomie moved this task from Needs Review/Feedback to Done on the MediaWiki-Core-Team board.
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Dec 15 2014, 10:26 PM